ようこそ! Geeklog Japan 2019/01/18 12:24 JST


 2011/12/25 02:09 JST (参照数 5783回)  

ゲストユーザ kuma2828

@PAGESにて導入をしようとしております。 ステップ 2 - コンフィギュレーションモード入力 というところで、データベースの情報を入力したのですが、データベースが不正確ですと出て、先に進めなく困っております。 CMSの導入はなにぶんはじめてなので、何が原因なのか色々調べてもわからない状態です。 よろしければヒントなどいただけたら幸いです。 自分なりにひっかかったものは以下のとおりです。 ・データベースの種類という欄に データベースドライバがありません! と出ている。 ・@PAGESのデータベースにログインできるのですが、新規データベースを作成する という欄のところの下に”特権なし”と表示されている。 あとはインストール前チェックも大丈夫だったので、この二つがあやしいなと・・・しかしどうしたらいいのかは検討がつきません>< すみませんがよろしくご教授下さい

 2011/12/26 03:16 JST  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5855
場所:Tokyo
トライありがとうございます^^ まず、メニューの、 DB(mysql)利用 をクリックすると、すでにすべての情報は入力されているので それを変更することなく、データベールを利用する の フォームボタンをクリックしてみてください。 そうすると、phpMyAdminの画面になるとおもいます。 データベースホスト名 データベース名 データベースの接続ユーザ名 パスワード これらの情報をインストーラの画面でそのまま指定してください。 インストールは、インストール前チェック(Precheck)を利用してインストールしてみてください。

 2011/12/26 10:59 JST  

ゲストユーザ kuma2828

早速のご回答感謝いたします(^^ とても助かります!
データベースホスト名 データベース名 データベースの接続ユーザ名 パスワード これらの情報をインストーラの画面でそのまま指定してください。 インストールは、インストール前チェック(Precheck)を利用してインストールしてみてください。[/p]
以上の情報を確認の上そのままインストーラの画面でそのまま指定しました。 また、インストール前チェックを利用してインストールを試みてみました。 インストール前チェックのStep4まで滞りなく進めました (言語設定で警告はありましたが、とりあえずインストールは出来ますと表示されてStep4まで進めました) Step4でプルダウンからデータベース名がちゃんと出たので ”インストール” をクリックしたところ、またStep2-コンフィギュレーションモードに進み、さらに進もうとすると同じエラー(データベース情報が不正確です)と出てしまいます。 そういえば、インストール準備の際、Private(非公開領域)とPublic~(公開領域)に分けてアップロード・パーミッションの変更をしたのですが、Privateから読み込むはずのものが、Publicから読もうとしている箇所がいくつかあったように思います。 とりあえずPrivateエリアに置いたものと同じものをPublicエリアにも置いてここまで進んだ感じなのですが、これは関係ないですかね・・・?(^^; わかりにくくてスミマセン。

 2011/12/26 12:36 JST  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5855
場所:Tokyo
Privateエリアに置いたものと同じものをPublicエリアにも置いても、 インストールは問題なくできますよ。 変ですねぇ・・・、バージョンも問題なさそうだし。

 2011/12/26 17:20 JST  

状態: オフライン

keithr

Forum User

Active Member
登録日: 04/07/08
投稿数: 461
関係ないかもしれませんが、1.8.1導入の際、同様のエラーに何回か遭遇しています。 操作と現象との因果関係を特定できていないのですが、私の場合は1.8.0からのアップグレードをするとkuma2828さんと同様の「データベース情報が不正確です」エラーに遭遇し、インストール最初の画面に戻ってprecheckから始めて進むと管理者向けのエラーメッセージ(すいません。内容眼盛るのを忘れましたが、lib-common.phpに関わるエラーでした)が出てインストールが完了しませんでした。 新しいサイトだったので、クリーンインストールすると問題ありませんでした。 追伸 @PAGESでのGeeklogインストールは初めての報告と思います。

 2011/12/26 18:08 JST  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5855
場所:Tokyo
precheckからではなく通常のインストールからはじめるとどうなるでしょうか。

 2011/12/26 19:30 JST  

ゲストユーザ kuma2828

Ivyさん、keithrさんご回答ありがとうございます! その後色々とやり直してみたり、頂いた回答を参考に調べたりしましたが、相変わらず同様の状態が続いております。 今から試しに1.8を一度消して、1.7のほうで試してみたいと思います。 結果は追ってご連絡させていただきます。 何かわかり次第また投稿させていただきます!

 2011/12/27 00:04 JST  

ゲストユーザ kuma2828

先ほど、1.8.0拡張版のインストールを試してみたところ、無事完了できました! 結局なんで1.8.1では駄目だったのかよくわからなかったのですが、とりあえずインストールできたことがとても嬉しいです(^^ 正直CMS自体が初だったので諦めかけていたのですが、回答を頂けたおかげでがんばれました! 本当にありがとうございました。 一応1.8.1をインストールしようとした時と、1.8.0をインストールした時の違いを書いておきます。 コンフィギュレーション入力の際に ”データベースドライバがありません!”と1.8.1では出ていたのですが、1.8.0の時はちゃんとプルダウンで表示されていました。

 2011/12/27 07:57 JST  

状態: オフライン

keithr

Forum User

Active Member
登録日: 04/07/08
投稿数: 461
Quote by: Ivy

precheckからではなく通常のインストールからはじめるとどうなるでしょうか。

1.8.0のデータベースを削除し、1.8.1をクリーンインストールすると問題なかったです。 Kuma2828さん、インストール成功おめでとうございます!

 2011/12/27 10:58 JST  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5855
場所:Tokyo
おめでとうございます^^

時刻はすべて JST , 現在の時刻は 12:24 PM

  • 通常
  • 注目トピック
  • ロック済
  • 新着
  • 注目トピック 新着
  • ロック済トピック 新着
  • ゲストユーザの投稿を見る 
  • ゲストユーザ投稿可能 
  • 一部のHTMLを許可 
  • バッドワードをチェック